Retrieve a single wallet by ID. Required scope: wallet:read.
Authorization
oauth2ClientCredentials wallet:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: wallet:read
Path Parameters
id*string
Unique identifier of the wallet
Response Body
application/json
application/json
Get wallet
curl --request GET \ --url 'https://example.com/api/external/wallet/string'{ "id": "e7efc60f-247d-4ecc-b04b-c4810df25758", "business_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e", "currency": "NGN", "currency_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e", "amount": 0, "is_active": true}GETList all wallets
Retrieve all business wallets. Required scope: `wallet:read`.
POSTInitiate a collection
Create a card collection request for a business wallet. Card collections require a verified customer and card details, and may not be enabled for every business. Customer attachment after creation is not supported for API card collections. Required scope: `collection:create`.